Subject: [Hipsec] HIP transforms in I1 (was .Re: Last e-mail in ...)

From: [email-masked] (Ahrenholz, Jeffrey M)
Date: Tue Sep 14 16:53:01 2004

I would also be in favor of (b), or add a new flag as Miika suggests.

Note a couple of things:
-a compliant implementation will always support group IDs 1 and 3
-with the existing draft, using the NOTIFY parameter with an error type
of NO_DH_PROPOSAL_CHOSEN, the Initiator could abort the exchange and
signal the Responder that it wants a different DH group. (but the
Responder might need some state then to remember to send a new group
next time)
-also, you could always start an exchange with a mandatory group ID and
later use the UPDATE mechanism to switch to a new "preferred" group ID.

-Jeff

> I think this is a valid comment, and that we should either
>=20
>    a) add HIP transforms as a mandatory parameter to I1, or
>=20
>    b) write a separate extension draft that defines an optional
>       HIP transforms parameter that MAY be included to I1
>=20
> I am in favour of b), but can live with a).  Others?
>=20
> --Pekka